diff -urN nagios-plugins-1.3.0.orig/plugins/check_disk.c nagios-plugins-1.3.0/plugins/check_disk.c
--- nagios-plugins-1.3.0.orig/plugins/check_disk.c      2003-02-15 04:48:44.000000000 -0800
+++ nagios-plugins-1.3.0/plugins/check_disk.c   2003-03-08 03:26:43.000000000 -0800
@@ -15,7 +15,7 @@
  * currently mounted filesystems.  If the percent used disk space is
  * above <c_dfp>, a STATE_CRITICAL is returned.  If the percent used
  * disk space is above <w_dfp>, a STATE_WARNING is returned.  If the
- * speicified filesystem cannot be read, a STATE_CRITICAL is returned,
+ * specified filesystem cannot be read, a STATE_CRITICAL is returned,
  * other errors with reading the output result in a STATE_UNKNOWN
  * error.
  *
@@ -28,5 +28,7 @@
  *     initailize usp to -1, eliminate 'found' variable
  *     accept any filename/filesystem
  *     use sscanf, drop while loop
+ *  - AIX df output parsing fixed by excluding /proc filesystem
+ *     which uses - for size values. Ian Duggan 3-8-2003
  *
  *****************************************************************************/

@@ -96,2 +98,2 @@
                if (!index (input_buffer, '/'))
                        continue;

+               if (strstr (input_buffer, "/proc ") == input_buffer)
+                       continue;
+
                if (sscanf (input_buffer, "%s %d %d %d %d%% %s", file_system,
                     &total_disk, &used_disk, &free_disk, &usp, mntp) == 6 ||
                    sscanf (input_buffer, "%s %*s %d %d %d %d%% %s", file_system,
